<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap demo</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
  </head>

  <body>
    <main>
        <div class="row">
            <div class="col-3 bg-primary">
                <div class="container"><h1>opciones</h1>
                    <ul>
                       <li><a href="index.html" class="col-5 btn btn-info my-1">Inicio</a></li> 
                       <li><a href="dashboard.html" class="col-5 btn btn-info my-1">CREAR</a></li>
                       <li><a href="Eliminar.html" class="col-5 btn btn-info my-1">ELIMINAR</a></li>  
                    </ul>
                </div>
            </div>

            <div class="col-7">
               <div class="container">
                  <nav class="navbar bg-warning">
                    <div class="container">
                      <a class="navbar-brand" href="#">
                         <img src="" alt="UNUSVITAL" width="30" height="24">
                      </a>
                    </div>
                  </nav>
                  <!--cuestionario-->
                  <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-12">
                            <h1>Crear Paciente</h1>
                            <form role="form" name="frm_paciente">
                                <div class="form-group">
                                     
                                    <label for="examplenombre">
                                       nombre
                                    </label>
                                    <input type="txt_nombre" name ="txt_nombre" class="form-control" id="nombre" />
                                </div>
                                <div class="form-group">
                                     
                                    <label for="exampleInputtelefono">
                                        telefono 
                                    </label>
                                    <input type="telefono" name="txt_telefono" class="form-control" id="telefono" />
                                </div>
                                <div class="form-group">
                                     
                                    <label for="exampleInputeps">
                                       EPS
                                    </label>
                                    <input type="eps" name="txt_eps" class="form-control" id="eps" />
                                </div>
                                <div class="col-2 bg-primary my-5">
                                <button type= "submit" onclick="pacienteEnviar()" class="btn btn-primary">
                                    Guardar
                                </button>
                                </div>
                            </form>
                        </div>
                        <div class="col-md-2"></div>
                    </div>
                </div>
                  
               </div>
            </div>

        </div>
    </main>
  </body>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
  <script>
    function pacienteEnviar(){
        fetch("http://localhost:8080/paciente/guardar")
        .then(function (respuesta){
            return respuesta.jason();
        }).then(function(respuesta){
            var nombre = document.getElementById('nombre');
            nombre.innerHTML = respuesta[1].nombre;

        })
    }

    function guardar(){
        var nombre = document.getElementById('txtNombre')
        var telefono = document.getElementById('txtTelefono')
        var eps = document.getElementById('TxtEps')
        var detalle={
            method:"POST",
            body: JSON.stringify ({
                "nombrePac"  :nombre.Value,
                "telefonoPac":telefono.Value,
                "nombreEps"  :eps.Value
            })
        }
        console.log(detalle)
        fetch("http://localhost:8080/paciente/guardar", detalle)
        .then(function(respuesta){
            return respuesta.json();

        })
        .then(function(respuesta) {
            var estado = document.getElementById('estado')
            console.log(respuesta)
            if(respuesta.exito === true){
                estado.innerHTML = "exito"
            }else{
                estado.innerHTML = "hay un problema"
            }


        })
    }    
        
        function pacienteEnviar(){
            console.log("boton presionado")
        }
        function usuarioListados(){
          fetch("http://localhost:8080/paciente/borrar")
          .then(response => response.json())
          .then(data=> { console.log(data)
            codigo="<tr><th>NOMBRE</th><th>TELEFONO</th></tr>"
            data.forEach(element => {
              console.log(element.nombrePac)
              codigo +="<tr><td>" + element.nombrePac +"</td><td>" + element.telefonoPac +"</td><tr>"
            })
            document.getElementById("tabla").innerHTML=codigo
          })
          .catch(error=>console.log(error))
        }
    


    
  </script>
</html>